Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class HTMLFilter

    java.lang.Object
      rabbit.filter.HTMLFilter

All Implemented Interfaces:
  HTMLFilterFactory

Direct Known Subclasses:
  AdFilter, BlinkFilter, LowresImageFilter, SimpleTagFilter

    public abstract class HTMLFilter

extends java.lang.Object
implements HTMLFilterFactory

This class describes the functions neccessary to filter a block of html.

Field Summary
`protected Connection` | `con` The Connection handling the request.
`protected HTTPHeader` | `request` The actual request made.
`protected HTTPHeader` | `response` The actual response.

Constructor Summary
`HTMLFilter()` Create the factory.
`HTMLFilter(Connection con, HTTPHeader request, HTTPHeader response)` Create a new HTMLFilter for the given request, response pair.

Method Summary
`abstract void` | `filterHTML(HTMLBlock block)` Filter a block of html.
`abstract HTMLFilter` | `newFilter(Connection con, HTTPHeader request, HTTPHeader response)` Get a new HTMLFilter for the given request, response pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### con

    protected Connection con

  The Connection handling the request.

### request

    protected HTTPHeader request

  The actual request made.

### response

    protected HTTPHeader response

  The actual response.

Constructor Detail

### HTMLFilter

    public HTMLFilter()

  Create the factory.

### HTMLFilter

    public HTMLFilter(Connection con,
                      HTTPHeader request,
                      HTTPHeader response)

  Create a new HTMLFilter for the given request, response pair.

  Parameters:
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### newFilter

    public abstract HTMLFilter newFilter(Connection con,
                                         HTTPHeader request,
                                         HTTPHeader response)

  Get a new HTMLFilter for the given request, response pair.

  Specified by:
    `newFilter` in interface `HTMLFilterFactory`
  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

### filterHTML

    public abstract void filterHTML(HTMLBlock block)

  Filter a block of html.

  Parameters:
    `block` - the part of the html page to filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD